Skip to main content
GET
/
bank
/
{ifsc}
/
accounts
/
{account_number}
/
penniless-verify
Bank Account Verification [Penny-Less]
curl --request GET \
  --url https://api.sandbox.co.in/bank/{ifsc}/accounts/{account_number}/penniless-verify \
  --header 'Authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
{ "code": 200, "timestamp": 1765889766000, "transaction_id": "e016852b-b33e-4c0c-b151-2cb6a88d50d4", "data": { "@entity": "@in.co.sandbox.bank.account.penny_less_verification_response", "account_exists": true, "name_at_bank": "JOHN DOE" } }
https://mintcdn.com/sandboxfinancialtechnologiesprivatelimited/gviqebbpT5NUt_6i/static/svg/Postman.svg?fit=max&auto=format&n=gviqebbpT5NUt_6i&q=85&s=da47f2b7e10d87befec951aed9468de3

Run in Postman

List of Supported Banks for PennyLess Bank Account Verification

Headers

Authorization
string
required

JWT access token

x-api-key
string
required

API key for identification

x-api-version
string
x-accept-cache
boolean

Path Parameters

ifsc
string
required

11-digit alpha-numeric code used to identify the bank branches

Pattern: ^[A-Z]{4}0[0-9A-Z]{6}$
account_number
string
required

Bank account number. Max length: 40 characters

Query Parameters

name
string

optional Name. Max length: 100 characters

mobile
string

optional Mobile. Length: 10 digits

Response

200 - OK

code
integer
timestamp
integer
transaction_id
string
data
object